pygraphviz and other python 3 Packages Missing Error when building ns-3 with Bake on Ubuntu

Note: I am on Ubuntu 18.04 but I think this will work for any version of Ubuntu since all Linux OS seem to support symbolic links and it is a very old feature .

Prereqs:

I already have bake installed and I am using

bake.py show 

to show me if I have all required dependencies for ns-3

Ok, so here’s the full error message:

bake.py show
module…